.\" Copyright (c) 1983, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. All advertising materials mentioning features or use of this software
.\"    must display the following acknowledgement:
.\"	This product includes software developed by the University of
.\"	California, Berkeley and its contributors.
.\" 4. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     From: @(#)gethostname.3	8.1 (Berkeley) 6/4/93
.\" $FreeBSD: src/lib/libc/gen/getbootfile.3,v 1.3.2.1 1999/09/05 11:16:27 peter Exp $
.\"
.Dd September 23, 1994
.Dt GETBOOTFILE 3
.Os
.Sh NAME
.Nm getbootfile
.Nd get kernel boot file name
.Sh SYNOPSIS
.Fd #include <paths.h>
.Ft const char *
.Fn getbootfile void
.Sh DESCRIPTION
The
.Fn getbootfile
function retrieves the full pathname of the file from which the
current kernel was loaded, and returns a static pointer to the name.
A read/write interface to this information is available via the
.Xr sysctl 3
MIB variable
.Dq Li kern.bootfile .
.Sh RETURN VALUES
If the call succeeds a string giving the pathname is returned.  If it
fails, a a null pointer is returned and an error code is
placed in the global location
.Va errno .
.Sh SEE ALSO
.Xr sysctl 3
.Sh BUGS
If the boot blocks have not been modified to pass this information into
the kernel at boot time, the static string
.Dq Pa /kernel
is returned instead of the real boot file.
.Sh HISTORY
The
.Fn getbootfile
function call appeared in
.Fx 2.0 .
